#
# RIB configuration file for simple variant of RIG BIDM
#
# format:
#  BIDM-field-name required/optional  single/multiple   datatype #comments  
#                              

<RigObject>
  <attributes>
    Name                   required    single     string
  </attributes>
  <relationships>
  </relationships>
</RigObject>

<Asset extends RigObject>
  <attributes>
    Abstract                required  single    text
    DateOfInformation       required  single    date
    Domain                  required  multiple  string
    Restrictions            optional  single    text
    TargetEnvironment       required  single    text
    Version                 optional  single    string
    VersionDate             optional  single    date
    Webpage                 required  single    string
  </attributes>
  <relationships>
    ContactIs.Organization  required  multiple  
  </relationships>
</Asset>

<Organization extends RigObject>
  <attributes>
    Email             required  single    string
    Telephone         optional  single    string
  </attributes>
  <relationships>
  </relationships>
</Organization>
